Summary: A sound file conversion tool designed for Enlightenment.
Name: eMusic
Version: DR0.9
Release: 2
Copyright: LGPL
Group: Applications/Multimedia
Url: http://www.icom.net/~smelecat/emp3/
Source0: http://www.icom.net/~smelecat/emp3/eMusic-DR0.9.tar.gz
Source1: eMusic.desktop
Buildroot: /var/tmp/eMusic

%description
eMusic is a sound file conversion utility which is designed to be used
with the Enlightenment window manager.  eMusic can play MP3, MOD, WAV,
AU and CD files.  eMusic can support streaming over HTTP/SHOUTcast for
MP3, AU and WAV files and can convert winamp skins to eMusic themes.

%prep
%setup -q 

%build
rm -rf $RPM_BUILD_ROOT
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

make install prefix=$RPM_BUILD_ROOT/usr
make -C players/ install prefix=$RPM_BUILD_ROOT/usr
strip $RPM_BUILD_ROOT/usr/bin/emusic
mkdir -p $RPM_BUILD_ROOT/usr/share/gnome/apps/Multimedia/
install -m644 $RPM_SOURCE_DIR/eMusic.desktop \
        $RPM_BUILD_ROOT/usr/share/gnome/apps/Multimedia/eMusic.desktop
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config /usr/share/eMusic/MAIN 
%config /usr/share/eMusic/MAIN.analysis 
%config /usr/share/eMusic/MAIN.players
/usr/bin/emusic
/usr/lib/eMusic/lib*
/usr/share/eMusic/DEFAULT
/usr/share/eMusic/xmp.modconf
/usr/share/eMusic/winamp-base/*
/usr/share/gnome/apps/Multimedia/eMusic.desktop

%changelog
* Thu Aug 19 1999 Dale Lovelace <dale@redhat.com>
- added eMusic.desktop

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- updated version
- made changes top %files section to reflect where files are w/new ver.- built for 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- fix dirs

* Mon Apr 05 1999 Michael Maher <mike@redhat.com>
- grabbed newest version.

* Sat Oct 24 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.6.9
- new description/summary text.

* Mon Jul 24 1998 Michael Maher <mike@redhat.com>
- built package


